<?php

require_once __DIR__ . '/../models/MateriaModel.php';

class MateriaController {

    private $materiaModel;

    public function __construct($db) {
        $this->materiaModel = new MateriaModel($db);
    }

    // Mostrar las materias del usuario
    public function showMaterias() {
        if (isset($_SESSION['user_id'])) {
            $materias = $this->materiaModel->getMateriasByUserId($_SESSION['user_id']);
            require 'Views/materiasForm.php';
        } else {
            echo "<script>alert('No estás autenticado.'); window.location.href='index.php';</script>";
        }
    }
}
?>
